<?php
/*---------------------------------------------------------------*/
/*
    Titre : Anonymiser les adresses IP                                                                                    
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1057
    Auteur           : DecimalBuzz                                                                                        
    Date dition     : 19 Fv 2019                                                                                        
*/
/*---------------------------------------------------------------*/
 
 function anonymize_ip($ip) {
  $last_dot = strrpos($ip, '.') + 1;
  return substr($ip, 0, $last_dot) . str_repeat('x', strlen($ip) - $last_dot);

}
  // Examples:
  echo anonymize_ip('123.45.67.89'); // "123.45.67.xx"
  echo anonymize_ip('12.34.56.123'); // "12.34.56.xxx"
  
 
// Pour les adresses IPv6, la fonction suivante peut tre utilise de la mme
// manire. Il remplacera le dernier groupe de l'adresse par x.
  function anonymize_ipv6($ip) {
    $last_colon = strrpos($ip, ':') + 1;
    return substr($ip, 0, $last_colon) . str_repeat('x', strlen($ip) - 
$last_colon);
  }
 
?>